function [isdone] = rawmat2L1(fname,outname,peakcut,loosecut);
% function [isdone] = rawmat2L1(fname,outname,peakcut,loosecut);
% 
% runs <L1Filter> function and saves the results into the output file.
% <fname> is name of the file with input data.
% <outname> is name of the file for output data.
% <peakcut> is cut parameter for the signal maximum.
% <loosecut> is the same cut parameter, but for loose selection.

[yarray, taxis, yloose, baselinearray, sigmax, channelmap, stripnummap, maxstrip, maxchannel, metadata, metadescription, metakey, stats] = L1Filter(fname,peakcut,loosecut);

save(outname);
isdone=1;

%disp(stats(1));
%disp(stats(2));
%disp(stats(3));

end
