% function [yarray, taxis, baselinearray, sigmax, channelmap, stripnummap, maxstrip, maxchannel, metadata, metadescription] = sim2rawmatsets(thecase,Nframes,Nfiles)
function [yarray tarray exy ext] = sim2rawmatsets()


clc;
[FileName, PathName]=uigetfile('*.CRS','MultiSelect','on');

fname=cell2mat([PathName FileName(1,1)]);
tempwave = dlmread(fname,' ',3,1);
[a b] = size(tempwave);

nfiles=size(FileName,2)
tarray=400:20:1400;
yarray=zeros(nfiles,51);

fcount=0;

ext = squeeze(tempwave(:,2));
exy = squeeze(tempwave(:,4));

for i=1:size(FileName,2);
    
    i
    fname=cell2mat([PathName FileName(1,i)])

    swave = dlmread(fname,' ',3,1);

    tt = squeeze(swave(:,2));
    ty = squeeze(swave(:,4));
    
    ysum=zeros(51,1);
    ycount=zeros(51,1);
    ybinned=zeros(51,1);
    binnum=1;

    myintegral = 0;
    
    for j=1:size(tt,1);
            
        myintegral=myintegral+ty(j);
        
        if( (tt(j)>395) && (tt(j)<1405) )
            
            while(tt(j)>(tarray(binnum)+5))
                binnum=binnum+1;
            end
            
            ysum(binnum,1)=ysum(binnum,1)+ty(j);
            ycount(binnum,1)=ycount(binnum,1)+1;
            
        end                
    end

    rbintegral=0;
    for k=1:51
        if( ycount(k)>0 )
            ybinned(k) = ysum(k)/ycount(k);
        else
            ybinned(k)=0;
        end
    rbintegral=rbintegral+ybinned(k);
    end

    
    yarray(i,:) = ybinned(:,1);
%    yarray=yarray*(myintegral/rbintegral);

    
    fcount = fcount+1;
end


end